## git-buildpackage 0.4.63~bpo50+2

=== debian/changelog ===
git-buildpackage (0.4.63~bpo50+2) lenny-backports; urgency=low

  * [5b91321] Switch back to 1.0 source format since bpo doesn't support it
    yet.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 20 Jan 2010 20:51:41 +0100

git-buildpackage (0.4.63~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 20 Jan 2010 11:03:57 +0100

git-buildpackage (0.4.63) unstable; urgency=low

  [ Guido Günther ]
  * [a0c7a91] docs: fix git-init call - thanks to Pietro Battiston
  * [02ab603] docs: Drop superfluous upstream branch creation
  * [e339c70] gbp: Make sure we drop the generated custom index file 
              (Closes: #561454)
  * [d436612] git-dch: Add body regex filter (Closes: #544238)
  * [cf45595] gbp-{pull,clone}: Don't hardcode pristine-tar branch
  * [0eb4580] gbp: Allow to set compression type (Closes: #554520)
  * [7ad35fb] tests: Add other gbp-* commands
  * [f1f3d8e] tests: Add unpack test

  [ Matthijs Kooijman ]
  * [725b9d3] git-dch: Add support for a Git-Dch: Ignore metaheader.
              (Closes: #561346)
  * [e54b7bf] git-dch: There was a second use of parse_commit. Both uses of
    parse_commit now support the None return value. The shortlog_to_dch
    function is now superfluous and was removed.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 26 Dec 2009 18:17:39 +0100

git-buildpackage (0.4.62) unstable; urgency=low

  * [dce995d] Improve error handling on broken dsc files. (Closes: #560689)
  * [bcdd6b5] Improve error message when trying to import 3.0 source format
    packages until we properly support them.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 14 Dec 2009 09:15:49 +0100

git-buildpackage (0.4.61~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * [e5dbe84] Revert "depend on devscripts >= 2.10.49" This reverts commit
    d6dae624d35719556257043ce2212cd40511848f.
  * [82189a1] Revert "add --no-force-save-on-release" This reverts commit
    f636022be8a0d802f357612ca9eef5986ece887d.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 07 Dec 2009 21:43:29 +0100

git-buildpackage (0.4.61) unstable; urgency=low

  * [fc96f75] switch to 3.0 (native) source format
  * [bf258de] use git;// instead of http://
  * [043c75a] Make gbp-clone, gbp-pull and gbp-pq first class citizens
    by moving them from examples/ to /usr/bin/
  * [c5e4148] Add documentation for gbp-{pg,pull.clone}
  * [06059df] Make the default build command 3.x source format safe Instead of
    passing "-i\.git/ -I.git" to debuild use "-i -I". This makes sure we use
    the default behaviour of dpkg-source. (Closes: #553079)
  * [ecec4d5] gbp-pull: Don't fail if no tracking branch exists.
  * [5539417] cleanup symlinks

 -- Guido Günther <agx@sigxcpu.org>  Thu, 26 Nov 2009 19:05:53 +0100

git-buildpackage (0.4.60) unstable; urgency=low

  [ Guido Günther ]
  * gbp-pull: 
      * [9960f24] check for clean repo
      * [9d190a5] add --redo-pq so a "gbp-pull --redo-pq" also refreshes the
        patch-queue branch
  * gbp-pq:
      * [526fc0c] add option to drop patch-queue branch
      * [3bf8288] Don't fail when series file is missing. Create an empty
        patch-queue branch instead.
  * git-import-orig:
      * [eef5eca] Use "imported" instead of "merged". This way we don't claim
        we merged something but we possibly didn't. (Closes: #545908)
  * debian/rules:
      * [5372050] Don't compress the example scripts
  * docs:
      * [4da84c0] document --git-retag

  [ Charles Plessy ]
  * [509c1c3] Stefano Zacchiroli’s workaround for creating empty
    upstream branches. (See ‘http://bugs.debian.org/cgi-
    bin/bugreport.cgi?bug=471560’)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 07 Nov 2009 15:30:49 +0100

git-buildpackage (0.4.59) unstable; urgency=low

  * new tools:
      * [9ccbcd2] add examples/gbp-pull. Addresses another part of #540185.
  * git-buildpackage:
      * [38fcab2] add --git-retag (Closes: #521329)
  * git-import-orig:
      * [ee3209c] Drop superfluous argument. Fixes TypeError on merge failures.
        (Closes: #549885)
  * examples/gbp-clone:
      * [1d8fb9d] gbp-clone: import Command too. Fixes "--verbose".
  * gbp module:
      * [db7cbab] add GitFetch
      * [6f03267] add GitRepository.get_merge_branch()
      * [b543f67] add GitRepository.is_fast_forward()
      * [5bf8201] move FastImport into gbp/git.py
  * docs:
      * [189ff52] fix link to "homepage"

 -- Guido Günther <agx@sigxcpu.org>  Sat, 24 Oct 2009 21:31:08 +0200
