## git-buildpackage 0.4.65ubuntu1

=== debian/changelog ===
git-buildpackage (0.4.65ubuntu1) lucid; urgency=low

  * merge from Debian unstable. delta unchanged from 0.4.63ubuntu1. LP: #525116

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 21 Feb 2010 02:03:39 +0100

git-buildpackage (0.4.65) unstable; urgency=low

  [ Guido Günther ]
  * [07d54ef] gbp-add-patch: Strip path from patchname and handle missing
    files gracefully.
  * [a7fe7c4] Add basic bash completion for git-buildpackage (Closes: #567313)
    - thanks to Siegfried-Angel Gevatter
  * [aec185f] Add gbp-{clone,pull,pq} to description
  * [24ac91c] bash-completion: Add git-dch, git-import-{orig,dsc} and tab
    completion for branch names.
  * [cbc0577] Add GitRepository.get_remotes() to easily query remote branches
  * [4654425] gbp-clone: Add --all to track all remote branches

  [ Matthijs Kooijman ]
  * [2874c23] Make the commit message for upstream imports configurable.
    This adds the import-msg commandline and configuration file option
    to change the commit message. (Closes: #474457)

  [ Jon Bernard ]
  * [ad9b7f5] Prevent git-add-patch from being gzip'd

 -- Guido Günther <agx@sigxcpu.org>  Sat, 13 Feb 2010 12:37:41 +0100

git-buildpackage (0.4.64) unstable; urgency=low

  * [ab40623] Add gbp-add-patch to easily commit patches from debian/patches
  * [34c1c43] Allow to skip imports of same version Based on a patch by
    Christoph Göhre.
  * [ea6311e] DscFile: Parse name of debian.tar.gz
  * [237a547] Import version 3 source format (Closes: #552771)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 25 Jan 2010 22:08:26 +0100

git-buildpackage (0.4.63ubuntu1) lucid; urgency=low

  * pychecker was removed from Ubuntu as it needs porting to python2.6; drop
    pychecker build-dep and comment out pychecker invocation in rules; see
    LP #516932.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 12 Feb 2010 12:27:58 +0100
