=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: git-buildpackage
 Section: vcs
 Priority: optional
-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends: cdbs, debhelper (>= 5), python-dev, python-support (>= 0.3),
- pychecker, gtk-doc-tools, sgml2x, docbook-utils, jade, python-dateutil, python-nose
+ gtk-doc-tools, sgml2x, docbook-utils, jade, python-dateutil, python-nose,
+ bash-completion
 Standards-Version: 3.8.3
 Vcs-Git: git://honk.sigxcpu.org/git/git-buildpackage.git
 Vcs-Browser: http://git.debian.org/?p=users/agx/git-buildpackage.git
@@ -11,7 +13,7 @@
 
 Package: git-buildpackage
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, devscripts (>= 2.10.26),
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, devscripts (>= 2.10.49),
  git-core (>= 1:1.5.0.1-1), python-dateutil
 Recommends: pristine-tar (>= 0.5)
 Suggests: git-load-dirs
@@ -23,3 +25,5 @@
   * git-buildpackage: build a package out of a git repository, check for local
     modifications and tag appropriately
   * git-dch: generate Debian changelog entries from Git commit messages
+  * gbp-{pull,clone}: clone and pull from remote repos
+  * gbp-pq: manage debian/patches easily
