=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
            gbp-pull          \
            gbp-clone
 
-EXAMPLE_SCRIPTS=gbp-cowbuilder-sid gbp-pbuilder gbp-posttag-push
+EXAMPLE_SCRIPTS=gbp-add-patch gbp-cowbuilder-sid gbp-pbuilder gbp-posttag-push
 
 DEB_COMPRESS_EXCLUDE=$(EXAMPLE_SCRIPTS)
 
@@ -41,7 +41,8 @@
 
 %.py: %
 	ln -s $< $@
-	PYTHONPATH=. pychecker -e $(PYCHECK_LEVEL) -q $<
+	# pychecker currently removed from Ubuntu
+	#PYTHONPATH=. pychecker -e $(PYCHECK_LEVEL) -q $<
 
 $(GBP_VERSION): debian/changelog
 	echo 'gbp_version="$(DEB_VERSION)"' > $(GBP_VERSION)
@@ -51,6 +52,9 @@
 
 build/git-buildpackage:: $(MANPAGES) $(MANUAL) $(GBP_VERSION) checks
 
+binary-post-install/git-buildpackage::
+	dh_bash-completion
+
 clean::
 	-rm git-*.py gbp-*.py
 	-rm docs/*.1 docs/manpage.* $(VERSION_ENT)
