## git-buildpackage 0.5.9

=== debian/changelog ===
git-buildpackage (0.5.9) experimental; urgency=low

  * [6a200ad] Resync with git-pbuilder 0.16 (Closes: #595055)
  * [ed97b84] Add --git-arch option
  * [257a3e1] Switch to debian branch before forcing the HEAD update
    otherwise we might forward the current branch to another branch's
    ref - thanks to Rolf Leggewie for the testcase
  * [af97781] Avoid unnecessary branch switch when fixing the previous
    issues. (LP: #637286)
  * [70c5b22] Improve compression format detection by checking if a
    version is already on the pristine-tar branch and use it's
    compression type if found. (LP: #615212)
  * [02b1a03] Don't fail on missing debian/rules. (LP: #638371)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 17 Sep 2010 10:42:32 +0200

git-buildpackage (0.5.8) experimental; urgency=low

  [ Guido Günther ]
  * [a09cce7] gbp-svn-tag: Simple helper to tag a version if using git-svn
  * [3262621] gbp-pull: Properly handle local only changes as no update needed
  * [b1bd417] git-import-dsc: Remove file and commit ambiguity
  * [65bf135] git-dch: Fix exception name so we don't fail on repos without
    tags.

  [ Svend Sorensen ]
  * [39b1a07] Fix --git-cleaner option name in git-buildpackage man page
    (Closes: #594612)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Sep 2010 10:56:34 +0200

git-buildpackage (0.5.7) experimental; urgency=low

  * [07c11d5] git-pbuilder: Only output dist if set.
  * [3d97dfe] git-pbuilder: Check for cowbuilder. The cowbuilder package
    depends on pbuilder so this is enough.
  * [7f07ed6] Recommend cowbuilder
  * [0a081d4] Update copyright file
  * [af3dc21] Don't fail on gbp_version import errors. This makes it easier to
    test from the source tree without starting a build first.
  * [c0dad1a] git-import-dsc: Catch KeyboardInterrupt
  * [cc557e7] git-dch: Check for greater not unequal when looking for a new
    upstream version
  * [74aa351] git-buildpackage: Use --pretty=format: instead of --format= to
    support the git version in Lenny.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 18 Aug 2010 18:18:35 +0200

git-buildpackage (0.5.6) experimental; urgency=low

  * [1d06128] git-pbuilder: When creating a new base image don't fail if it's
    not there already.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 14 Aug 2010 01:26:42 +0200

git-buildpackage (0.5.5) experimental; urgency=low

  * [36edd3c] git-dch: Support --nmu, --bpo and --qa. (Closes: #561535)
  * [7200035] git-dch: Pass dch_options to all calls of spawn_dch. This fixes
    the problem of an empty [maintainer] at the end of the changelog section.
    - thanks to Michael Prokop
  * [8d33c92] git-dch: Guess changelog version number from upstream version
  * [595d6d8] git-buildpackage: Add --git-pbuilder and --git-dist=<dist>
    options
  * [b193936] docs: Use git-pbuilder in the pbuilder chapter
  * [61e0c3c] docs: Simplify example using --download
  * [76b16df] docs: Build and install git-pbuilder manpage
  * [67287d0] Add git-pbuilder (Closes: #583078) - thanks to Russ Allbery
  * [bc52725] Deprecate our own pbuilder helpers
  * [3c6bbd0] Better version number replacement (Closes: #534494)
  * [55fdbc6] Check for legacy tags where necessary.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 12 Aug 2010 23:35:30 +0200

git-buildpackage (0.5.4) unstable; urgency=low

  * [88afa61] git-dch: Pass --multimaint-merge on to dch (Closes: #586165)
  * [e8b6b49] gbp-pq: Use the maintainer of the Debian package as fallback
    patch author
  * [f63c4ed] git-import-dsc: Don't add superfluous parents to imports on the
    Debian branch. Only set a parent on the first import per upstream version.
  * [af2a435] gbp-pull: Don't update already up to date branches
  * [407b614] docs: Drop git_load_dirs reference we're not using it anymore.
  * [dbc7fe3] docs: We don't only support .gz tarballs
  * [34d6d84] Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Fri, 06 Aug 2010 17:07:47 -0400

git-buildpackage (0.5.3) unstable; urgency=low

  * [2808207] git-dch: Terminate the patch description with a dot in case of
    multiline commits where the second line starts with a uppercase letter.
    Heavily based on a patch by Jonathan Nieder.
  * [47463da] Better document the default config file.
  * [57b2abf] git-dch: Set author information from git on --release when using
    --git-author - thanks to Boleslaw Tokarski for his feedback.
  * [ad2416e] examples/zeitgeist-git: Adjust for zeitgeist 0.4.0.
  * [8676193] examples/gbp-create-remote-repos: Simple helper to create remote
    repos based on dom-new-git-repo from the OCaml maintainers as well as
    aa-create-repo. (Closes: #540185)
  * [3ed1a5c] git-import-dscs: Fetch all snapshots from snapshots.debian.org
    using debsnap and import them (Closes: #591218)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 02 Aug 2010 22:10:18 +0200

git-buildpackage (0.5.2) unstable; urgency=low

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Tue, 20 Jul 2010 22:13:57 +0200

git-buildpackage (0.5.1) experimental; urgency=low

  [ Jonathan Nieder ]
  * [a650ce3] Add prebuild hook Can be used to add an upstream changelog
    generated from the git repository to the build dir. (Closes: #587652)

  [ Guido Günther ]
  * [9b8bc60] Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Tue, 20 Jul 2010 21:31:30 +0200

git-buildpackage (0.5.0) experimental; urgency=low

  [ Guido Günther ]
  * [bd1ad03] Drop dependency on python-dev since it's not needed for arch all
    packages. Depend on python instead.
  * [077bdb0] git-buildpackage: Add compression=auto to guess compression type
    of upstream tarball from pristine-tar branch. This is now the default.
    (Closes: #566993)
  * [3bcb1ef] Abort if upstream tarball contains git metadata
    (Closes: #571717)
  * [24410e9] docs: Mention patch-queue branches
  * [877166c] docs: Don't document Git-Dch: twice. Thanks to Matthijs Kooijman
    (Closes: #587456)

