=== debian/rules ===
--- 
+++ 
@@ -14,11 +14,18 @@
            gbp-pull          \
            gbp-clone
 
-EXAMPLE_SCRIPTS=gbp-add-patch gbp-cowbuilder-sid gbp-pbuilder gbp-posttag-push
+EXAMPLE_SCRIPTS=\
+    gbp-add-patch          \
+    gbp-cowbuilder-sid     \
+    gbp-pbuilder           \
+    gbp-posttag-push       \
+    gbp-create-remote-repo
 
 DEB_COMPRESS_EXCLUDE=$(EXAMPLE_SCRIPTS)
 
-MANPAGES=$(patsubst %,docs/%.1,$(COMMANDS) gbp-pq)
+SGML_MANPAGES=$(patsubst %,docs/%.1,$(COMMANDS) gbp-pq)
+POD_MANPAGES=docs/git-pbuilder.1
+MANPAGES=$(SGML_MANPAGES) $(POD_MANPAGES)
 MANUAL=docs/manual-html
 PYCHECKS=$(patsubst %,%.py,$(COMMANDS))
 PYCHECK_LEVEL=Error
@@ -34,6 +41,9 @@
 	docbook-2-html -s local $<
 	cp /usr/share/gtk-doc/data/*.png $(MANUAL)
 
+docs/git-pbuilder.1: git-pbuilder
+	pod2man $< $@
+
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 checks: $(PYCHECKS)
 	nosetests --with-doctest
@@ -41,8 +51,7 @@
 
 %.py: %
 	ln -s $< $@
-	# pychecker currently removed from Ubuntu
-	#PYTHONPATH=. pychecker -e $(PYCHECK_LEVEL) -q $<
+	PYTHONPATH=. pychecker -e $(PYCHECK_LEVEL) -q $<
 
 $(GBP_VERSION): debian/changelog
 	echo 'gbp_version="$(DEB_VERSION)"' > $(GBP_VERSION)
