=== debian/rules ===
--- 
+++ 
@@ -66,7 +66,7 @@
 
 clean::
 	-rm git-*.py gbp-*.py
-	-rm docs/*.1 docs/manpage.* $(VERSION_ENT)
+	-rm docs/*.1 docs/manpage.* $(VERSION_ENT) git-pbuilder.1
 	-rm -r docs/manual-html/
 
 .PHONY: checks
