## git-buildpackage 0.5.19ubuntu1

=== debian/changelog ===
git-buildpackage (0.5.19ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - Disable tests for now as pychecker crashes with python 2.7
      (Closes: #692945).

 -- Angel Abad <angelabad@ubuntu.com>  Sat, 12 Feb 2011 12:21:24 +0100

git-buildpackage (0.5.19) unstable; urgency=low

  [ Jonathan Nieder ]
  * [7f00d39] git-import-dsc: improve error message when upstream branch is
    missing

  [ Guido Günther ]
  * [b9acbf9] logging: don't use color inside Emacs's comint shell
    (Closes: #612384)
  * [14fdbce] gbp-clone: reparse the configuration after cloning the
    repository (Closes: #607936)
  * [d21506e] git-import-dscs: really use git-import-dsc from the same
    location as git-import-dscs
  * [b92b88f] git-import-dsc: auto create upstream branch if it's missing.
    This allows to mass import old history of packages that were native and
    switched to non-native later.
  * [0363f47] git-import-dsc: better explain missing upstream branch.
    Thanks to Jonathan Nieder for the suggestion. (Closes: #610379)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 11 Feb 2011 18:20:36 +0100

git-buildpackage (0.5.18ubuntu1) natty; urgency=low

  * Merge with Debian, remaining changes:
    + Disable tests for now as pychecker crashes with python 2.7
      (bug #692945).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 23 Jan 2011 18:23:08 +0200

git-buildpackage (0.5.18) experimental; urgency=low

  [ Guido Günther ]
  * [0b2b869] git-buildpackage: fix fallback to auto detection for unknown
    compression types
  * [b7136f3] gbp-pull: Adjust incorrect logging level
  * [d8d2347] git-import-dscs: Ignore debsnap download errors to cope with
    binNMUs. Based on a patch from Jonathan Nieder. (Closes: #610376)
  * [e1661bd] git-buildpackage: print the "Looking for tarball..." message at
    debug level.  There's no need to print two messages in the default logging
    level.
  * [9054ae1] git.force_head: quiet git reset so we don't see pointless 'HEAD
    is now at ...' messages during imports.
  * [d36077c] Add --author-is-comitter and --author-date-is-comitter-date
    commandline options (Closes: #610381)

  [ Jonathan Nieder ]
  * [f2f03b7] git-import-dscs: Fix --debsnap doc and option error handling
    (Closes: #610368)
  * [2984d27] git-import-dsc doc updates for new options --author-is-committer
    and --author-date-is-committer-date

 -- Guido Günther <agx@sigxcpu.org>  Sun, 23 Jan 2011 14:52:25 +0100

git-buildpackage (0.5.17ubuntu1) natty; urgency=low

  * Merge with Debian, remaining changes:
    + Disable tests for now as pychecker crashes with python 2.7
      (bug #692945).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 22 Jan 2011 11:53:15 +0200

git-buildpackage (0.5.17) experimental; urgency=low

  * [244c1d2] gbp-create-remote-repo: allow for repository names without
    substitutions
  * [ebc67f3] gbp-create-remote-repo: get repository name from
    debian/changelog if possible
  * [eb9c0e6] git-create-remote-repo: don't hardcode 'origin' as remote.  This
    makes it possible to create different remote repos from within the same
    repository.
  * [b383c96] Document --remote-name
  * [8d5f78a] Use the latest commit instead of the earliest one
    when guessing the compression type for pristine-tar.
    Thanks to Andreas Rottmann for the detailed report (Closes: #609980)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 15 Jan 2011 13:46:36 +0100

git-buildpackage (0.5.16ubuntu1) natty; urgency=low

  * Merge with Debian, remaining changes:
    + Disable tests for now as pychecker crashes with python 2.7
      (bug #692945).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 11 Jan 2011 20:21:28 +0200

git-buildpackage (0.5.16) experimental; urgency=low

  * [b9aae05] git-import-orig: Make --[no-]merge a proper option so it can be
    configured via gbp.conf.
  * [05d9ecb] gbp-create-remote-repo: allow to set up remote branch tracking
  * [03f3d75] Make gbp-create-remote-repo a first class citizen. Add manpage,
    move into path, add bash completion
  * [5ca57cd] git-import-dsc: also set the commit date to the changelog date
    when importing old history. This makes sure we get proper sorting with
    e.g. gitk.
    Thanks to Rob Browning for the hint and explanation

 -- Guido Günther <agx@sigxcpu.org>  Tue, 11 Jan 2011 07:48:02 +0100

git-buildpackage (0.5.15) experimental; urgency=low

  * [b770493] git-buildpackage: Add support for sending notifications via
    libnotify after the build finished.
  * [bfb233a] git-dch: don't add empty changelog entries with "Git-Dch: Ignore"
  * [ab06072] Require python 2.6 since we use a context manager
  * [79ed2e0] Use tristate option for --color=value this allows true and false
    as alias for on and off.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 08 Jan 2011 19:09:41 +0100

git-buildpackage (0.5.14ubuntu1) natty; urgency=low

  * Merge with Debian, remaining changes:
    + Disable tests for now as pychecker crashes with python 2.7
      (bug #692945).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 07 Jan 2011 18:38:03 +0200

git-buildpackage (0.5.14) experimental; urgency=low

  [ Guido Günther ]
  * [2a5df0a] docs/gbp-clone: better document --all
  * [c3c76ac] docs/gbp-pull: Better document --force and --redo-pq
  * [b23f05b] docs/git-import-dscs: document --debsnap to fetch from
    snapshots.debian.org
  * [8040433] docs/gbp-pq: fix typo in manpage.
    Thanks to Emilio Pozuelo (Closes: #609166)
  * [8cabb0e] Add gbp-{pull,clone,pq} examples to gbp.conf
  * [eac621a] Add generated files to .gitignore
  * [91b0aa8] pychecker warning cleanups (mostly unused variables and imports)
  * [63d9624] Change dirs declaration to avoid false positives from pychecker.
    See #608153
  * [bd2ac3a] Enable pychecker warnings
  * [67bdb1f] git-import-dscs: Remove duplicate log message

