=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: git-buildpackage
 Section: vcs
 Priority: optional
-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends: cdbs, debhelper (>= 5), python, python-support (>= 0.3),
  pychecker, gtk-doc-tools, sgml2x, docbook-utils, jade, python-dateutil, python-nose,
  bash-completion, perl
@@ -15,7 +16,7 @@
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, devscripts (>= 2.10.66~),
  git (>= 1:1.7.0.4-2) | git-core (>= 1:1.5.0.1-1), python-dateutil
 Recommends: pristine-tar (>= 0.5), cowbuilder
-Suggests: git-load-dirs
+Suggests: git-load-dirs, python-notify
 Description: Suite to help with Debian packages in Git repositories
  This package contains the following tools:
   * git-import-{dsc,dscs}: import existing Debian source packages into a git
@@ -26,3 +27,4 @@
   * git-dch: generate Debian changelog entries from Git commit messages
   * gbp-{pull,clone}: clone and pull from remote repos
   * gbp-pq: manage debian/patches easily
+  * gbp-create-remote-repo: create remote repositories
