=== debian/rules ===
--- 
+++ 
@@ -12,23 +12,24 @@
            git-import-orig   \
            git-dch           \
            gbp-pull          \
-           gbp-clone
+           gbp-clone         \
+           gbp-pq            \
+           gbp-create-remote-repo
 
 EXAMPLE_SCRIPTS=\
     gbp-add-patch          \
     gbp-cowbuilder-sid     \
     gbp-pbuilder           \
-    gbp-posttag-push       \
-    gbp-create-remote-repo
+    gbp-posttag-push
 
 DEB_COMPRESS_EXCLUDE=$(EXAMPLE_SCRIPTS)
 
-SGML_MANPAGES=$(patsubst %,docs/%.1,$(COMMANDS) gbp-pq)
+SGML_MANPAGES=$(patsubst %,docs/%.1,$(COMMANDS))
 POD_MANPAGES=docs/git-pbuilder.1
 MANPAGES=$(SGML_MANPAGES) $(POD_MANPAGES)
 MANUAL=docs/manual-html
 PYCHECKS=$(patsubst %,%.py,$(COMMANDS))
-PYCHECK_LEVEL=Error
+PYCHECKER_ARGS=--maxlines=200 -boptparse --no-override --no-shadowbuiltin
 GBP_VERSION=gbp/gbp_version.py
 VERSION_ENT=docs/version.ent
 
@@ -44,14 +45,15 @@
 docs/git-pbuilder.1: git-pbuilder
 	pod2man $< $@
 
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-checks: $(PYCHECKS)
-	nosetests --with-doctest
-endif
+# Disable tests for now as pychecker crashes with python 2.7 (bug #692945).
+#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+#checks: $(PYCHECKS)
+#	nosetests --with-doctest
+#endif
 
 %.py: %
 	ln -s $< $@
-	PYTHONPATH=. pychecker -e $(PYCHECK_LEVEL) -q $<
+	PYTHONPATH=. pychecker $(PYCHECKER_ARGS) -q $<
 
 $(GBP_VERSION): debian/changelog
 	echo 'gbp_version="$(DEB_VERSION)"' > $(GBP_VERSION)
@@ -65,7 +67,7 @@
 	dh_bash-completion
 
 clean::
-	-rm git-*.py gbp-*.py
+	-rm git-*.py gbp-*.py gbp/gbp_version.py
 	-rm docs/*.1 docs/manpage.* $(VERSION_ENT) git-pbuilder.1
 	-rm -r docs/manual-html/
