## git-buildpackage 0.5.23

=== debian/changelog ===
git-buildpackage (0.5.23) unstable; urgency=low

  [ Guido Günther ]
  * [6710462] git-pbuilder: Drop diffignore and tarignore patterns
    (Closes: #606412, #610662)
  * [5b63e3f] tests: add doctests for gbp.deb.orig_file()
  * [9f3030b] git-dch: improve formatting of commit subject by taking into
    account idlength and the prefix added by git-dch itself.

  [ Peter Eisentraut ]
  * [0958897] Correct option name in git-buildpackage man page
  * [3e1fd70] Fix various typos in man pages
  * [e5dd444] gbp-clone: check out the debian branch after the clone is
    complete.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 07 May 2011 14:38:58 +0200

git-buildpackage (0.5.22) unstable; urgency=low

  [ Guido Günther ]
  * [61513e6] git.rev_parse: unconditionally use --quiet to avoid the
    confusing "fatal: Needed a single revision" error message
  * [c7bb3f1] Add aliases for gz and bz2 compression types
  * [dc39596] gbp: Handle whitespace in submodule names (Closes: #622103)
  * [f5db59d] Disable submodule processing by default.

  [ Loïc Minier ]
  * [2d620e4] Ignore .noseids from nosetests
  * [8189cc9] Add tests for orig autodetection
  * [85c5d8e] Detect compression from orig tarball (Closes: #621701)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 11 Apr 2011 09:42:50 +0200

git-buildpackage (0.5.21) unstable; urgency=low

  [ Guido Günther ]
  * [d8142c7] git-import-dsc: don't silently drop the epoch in tags
    (Closes: #620950)
  * [ebc19c7] docs: Document Gbp-Pq-Topic: tag
  * [82e5f4d] git-buildpackage: Call gbp.update_submodules before exporting a
    tarball or creating a separate build tree. We invoke git-submodule with
    --no-fetch to not break offline operation.
  * [dff62f2] Make submodule support conditional

 -- Guido Günther <agx@sigxcpu.org>  Wed, 06 Apr 2011 20:35:37 +0200

git-buildpackage (0.5.20) experimental; urgency=low

  [ Guido Günther ]
  * [a618bdc] git-buildpackage: Make the desktop notification transient so
    they timeout and don't clutter the notification area.
  * [3b0f296] Add gbp-configure-unpatched-source example to ignore .pc and
    tell dpkg-source to unpatch the source. See #591858.
  * [258743a] gbp-pull: make sure git interprets arguments as revisions in
    is_fast_forward  so it prints a clearer error message on configuration
    errors in .git/config.
  * [40f4709] gbp-pq: Allow to specify subdirs for patches via the
    "Gbp-Pq-Tag: <subdir>" directive in the patch header. This also gets rid
    sed callouts. Add "apply" action to apply single patches.
  * [fadcfcb] gbp: Add git.archive() and git.{has,get,update,add}_submodules()
    and testcases.
    Heavily based on work by Sean Finney and Chow Loong Jin
  * [2353ab7] git-buildpackage: submodule support for dump_tree.
    Heavily based on work by Sean Finney and Chow Loong Jin
  * [97c32c7] git-buildpackage: submodule support for git_archive.
    Heavily based on work by Sean Finney and Chow Loong Jin (Closes: #588752)
  * [3b0ebe9] gbp: Don't fail on paths without extensions in get_compression()
    and add doctests for that. (Closes: #618893)
  * [1021f84] git-buildpackage: special case non-submodule tarfile generation.
    Tarfile generation with submodules is slower since we need to
    concatenate several tarfiles and compress afterwards. So special case
    the common non submodule case and add a testcase to check the tarfiles
    content.
  * [80048e9,dcc2562,0827a33,93b4ab7,adc50a3,431075b] improve our testsuite

  [ Sean Finney ]
  * [ddf5ea3] gbp: Allow to pass cwd to git.__get_output()

  [ Charles Plessy ]
  * [c9f1e1e] docs: Added markup to the example for creating upstream branch.
  * [0095808] docs: Easier to remember commands to create orphan upstream branch.
    Closes: #619084

 -- Guido Günther <agx@sigxcpu.org>  Mon, 21 Mar 2011 21:09:32 +0100
