## git-buildpackage 0.5.26

=== debian/changelog ===
git-buildpackage (0.5.26) unstable; urgency=low

  [ Guido Günther ]
  * [d841899] git-pbuilder: Add git-pbuilder 1.22. 
    Thanks to a lot Russ Allbery (Closes: #623117)
  * [43e11c7] Bump standards version. No changes necessary.
  * [f5344c6] gbp-create-remote-repo: switch to git.debian.org.
    Thanks to Ritesh Raj Sarraf (Closes: #632897)

  [ Courtney Bane ]
  * [3a68566] gbp-create-remote-repo: Improve url handling.
    Support user name expansion and different ssh ports.
    Closes: #630832

 -- Guido Günther <agx@sigxcpu.org>  Wed, 06 Jul 2011 23:09:21 +0200

git-buildpackage (0.5.25) unstable; urgency=low

  * [f07c1fc] Make qemubuilder really a boolean option.
    Thanks to Gregor Herrmann <gregoa@debian.org> for tracking this down
    (Closes: #627541)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 21 May 2011 22:14:30 +0200

git-buildpackage (0.5.24) unstable; urgency=low

  [ Guido Günther ]
  * [033f359] git-pbuilder: Distinguish 1.0 and 3.0 source format and set
    exclude patterns for the 1.0 format. Otherwise the build fails since
    dpkg-source tries to include .git.
  * [09bf9f1] Add git-pbuilder 0.21. Thanks to Russ Albery.
    (Closes: #601045, #601298)
  * [7e022fb] Add support for qemubuilder (Closes: #601298)
  * [e66c9e8] git-pbuilder: remove single quotes from '$BASE' to fix "cannot
    canonicalize filename '/var/cache/pbuilder/base-sid.cow', does not exist"
    failure

  [ Jon Dowland ]
  * [a645073] Spelling corrections (Closes: #627378)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 21 May 2011 13:51:29 +0200
