=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,7 @@
 	export GIT_AUTHOR_EMAIL=tests@example.com;	\
 	export GIT_COMMITTER_NAME=$$GIT_AUTHOR_NAME;	\
 	export GIT_COMMITTER_EMAIL=$$GIT_AUTHOR_EMAIL;	\
-	nosetests --with-doctest
+	nosetests --exe --with-doctest
 endif
 
 %.py: %
