## git-buildpackage 0.5.30

=== debian/changelog ===
git-buildpackage (0.5.30) unstable; urgency=low

  * [37f16cc] Document meta tags. Thanks to Raphaël Hertzog for the
    suggestion (Closes: #636088)
  * [f2efdaf] Add known_compressions() to UpstreamSource so we can use it for
    the DscFile parsing. This fixes the import of xz compressed upstream
    tarballs.
  * [2da9e9e] Leave compression type detection to tar by default
  * [a878947] Ignore comments and empty lines in series files. 
    (Closes: #637224)
  * [b3931e0] Fix missing branch name in error message
  * [4e2f7de] gbp-pq: Use latest patches with --time-machine. When going back
    in history to find the point where the patches in debian/patches still
    apply make sure we use the latest ones not the one currently in the tree.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 10 Aug 2011 22:25:11 +0200

git-buildpackage (0.5.29) unstable; urgency=low

  * [00c2b8e] Move GbpPatchQueue and GbpPatch into gbp.pq
  * [2fbac77] Build epydoc API documents by default
  * [42a13a1] gbp-pq: add --time-mache=N option to find the last commit the
    patch-queue applies to.
  * [d052ba2] Document --time-machine option

 -- Guido Günther <agx@sigxcpu.org>  Sat, 30 Jul 2011 15:07:41 +0200

git-buildpackage (0.5.28) unstable; urgency=low

  * [3c72dfa] git-import-orig: Clarify missing argument error message
  * [d34e82e] Be less picky about empty filters. (Closes: #635641)
  * [a692745] Report errors reading the patch file instead of throwing an
    exception. (Closes: #635872)
  * [9bbbc77] Better document --git-upstream-tree. (Closes: #635883)
  * [3fb7fd6] Add strip option to GitRepository.apply
  * [dbe68fb] Split out GbpPatchQueue and GbpPatch to handle "-p<num>" without
    munging the code further (Closes: #635873)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 29 Jul 2011 19:00:25 +0200

git-buildpackage (0.5.27) unstable; urgency=low

  [ Guido Günther ]
  * [8ce3500] Add autocompletion for --git-dist= based on the available
    cowbuilder images
  * [7fc837a] git-import-orig: Better support uscan for non tar.gz tarballs
    (Closes: #629538)
  * [2d4034d] Drop suggests of git-load-dirs. It's not in the archive anymore
  * [41a5d0d] Switch to dh_python2
  * [305e871] Re-enable pychecker checks
  * [7360496] Support importing zip archives. This can be extended to support
    other formats.
  * [00e1d97] Remove fastimport code since it didn't support filters, etc.
  * [8d0143a] git-import-orig: support filters for all input formats
    (Closes: #628645)
  * [e05e985] Add tests for UpstreamSource
  * [f0ba62c] Drop unpack_orig and tar_toplevel
  * [5bd3ff2] git-dch: add formatter that wraps the changelog entry
    (Closes: #626439)
  * [0ecd9f7] git-buildpackage: Add upstream-tree option to specify where the
    upstream tarball should be created from. The default is to create the it
    from the exact tag and fail otherwise.
    Based on a patch by Ricardo Salveti de Araujo

 -- Guido Günther <agx@sigxcpu.org>  Tue, 26 Jul 2011 22:18:29 +0200
