=== debian/control ===
--- 
+++ 
@@ -2,22 +2,23 @@
 Section: vcs
 Priority: optional
 Maintainer: Guido Günther <agx@sigxcpu.org>
-Build-Depends: cdbs, debhelper (>= 5), python, python-support (>= 0.3),
+Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 5), python (>> 2.6.6-3~),
  pychecker, gtk-doc-tools, sgml2x, docbook-utils, jade, python-dateutil, python-nose,
- bash-completion, perl,
+ bash-completion, perl, python-epydoc,
 # For the testsuite
- git-core, bzip2
+ git-core, bzip2, unzip
 Standards-Version: 3.9.2
 Vcs-Git: git://honk.sigxcpu.org/git/git-buildpackage.git
 Vcs-Browser: http://git.debian.org/?p=users/agx/git-buildpackage.git
 Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/
+X-Python-Version: >= 2.6
 
 Package: git-buildpackage
 Architecture: all
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, devscripts (>= 2.10.66~),
  git (>= 1:1.7.0.4-2) | git-core (>= 1:1.5.0.1-1), python-dateutil
 Recommends: pristine-tar (>= 0.5), cowbuilder
-Suggests: git-load-dirs, python-notify
+Suggests: python-notify, unzip
 Description: Suite to help with Debian packages in Git repositories
  This package contains the following tools:
   * git-import-{dsc,dscs}: import existing Debian source packages into a git
