=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
   
-DEB_PYTHON_SYSTEM = pysupport
+DEB_PYTHON2_MODULE_PACKAGES = git-buildpackage
 DEB_PYTHON_CLEAN_ARGS = --all
 
 include /usr/share/cdbs/1/rules/debhelper.mk
@@ -19,9 +19,9 @@
 EXAMPLE_SCRIPTS=\
     gbp-add-patch          \
     gbp-cowbuilder-sid     \
-    gbp-pbuilder           \
     gbp-posttag-push       \
-    gbp-configure-unpatched-source
+    gbp-configure-unpatched-source \
+    wrap_cl.py
 
 DEB_COMPRESS_EXCLUDE=$(EXAMPLE_SCRIPTS)
 
@@ -29,7 +29,7 @@
 POD_MANPAGES=docs/git-pbuilder.1
 MANPAGES=$(SGML_MANPAGES) $(POD_MANPAGES)
 MANUAL=docs/manual-html
-PYCHECKER_ARGS=--maxlines=200 -boptparse --no-override --no-shadowbuiltin
+PYCHECKER_ARGS=-boptparse --no-override --no-shadowbuiltin
 GBP_VERSION=gbp/gbp_version.py
 VERSION_ENT=docs/version.ent
 
@@ -42,10 +42,9 @@
 	docbook-2-html -s local $<
 	cp /usr/share/gtk-doc/data/*.png $(MANUAL)
 
+
 docs/git-pbuilder.1: git-pbuilder
 	pod2man $< $@
-
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 
 links_stamp:
 	for c in $(COMMANDS); do \
@@ -53,8 +52,15 @@
 	done
 	touch links_stamp
 	
+apidocs: links_stamp
+	epydoc -n git-buildpackage --no-sourcecode -o docs/apidocs/ \
+		gbp*.py git*.py gbp/
 
-checks: links_stamp
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+pychecker:
+	PYTHONPATH=. pychecker $(PYCHECKER_ARGS) -q git*.py gbp*.py
+
+checks: links_stamp pychecker
 	export GIT_AUTHOR_NAME="Gbp Tests";		\
 	export GIT_AUTHOR_EMAIL=tests@example.com;	\
 	export GIT_COMMITTER_NAME=$$GIT_AUTHOR_NAME;	\
@@ -62,17 +68,13 @@
 	nosetests --exe --with-doctest
 endif
 
-%.py: %
-	ln -s $< $@
-	PYTHONPATH=. pychecker $(PYCHECKER_ARGS) -q $<
-
 $(GBP_VERSION): debian/changelog
 	echo 'gbp_version="$(DEB_VERSION)"' > $(GBP_VERSION)
 
 $(VERSION_ENT): debian/changelog
 	echo '<!ENTITY gbp-version "$(DEB_VERSION)">' >  $(VERSION_ENT)
 
-build/git-buildpackage:: $(MANPAGES) $(MANUAL) $(GBP_VERSION) checks
+build/git-buildpackage:: $(MANPAGES) $(MANUAL) $(GBP_VERSION) checks apidocs
 
 binary-post-install/git-buildpackage::
 	dh_bash-completion
@@ -80,6 +82,6 @@
 clean::
 	-rm git_*.py gbp_*.py gbp/gbp_version.py links_stamp
 	-rm docs/*.1 docs/manpage.* $(VERSION_ENT) git-pbuilder.1
-	-rm -r docs/manual-html/
+	-rm -r docs/manual-html/ docs/apidocs/
 
 .PHONY: checks
